<template>
  <div>
    <b-navbar
      toggleable="lg"
      type="dark"
      variant="info"
      style="
        display: flex;
        justify-content: space-between;
        background-color: #ffffff !important;
      "
    >
      <b-navbar-brand href="#">
        <img
          src="./../../assets/ahasoft.png"
          style="height: 5vh; margin-left: 10px"
        />
      </b-navbar-brand>
      <b-navbar-nav>
        <b-button pill variant="primary">Sign out</b-button>
      </b-navbar-nav>
    </b-navbar>
    <b-container fluid class="client-container">
      <b-row
        style="border-bottom: 1px solid black; padding: 10px 5px; margin: 5px"
      >
        <b-col style="font-weight: bold">Clients</b-col>
      </b-row>
      <!-- <br/> -->
      <b-row
        style="
          padding: 10px 0px;
          margin: 15px 5px;
          background-color: #fff;
          min-height: 80vh;
        "
      >
        <b-col>
          <b-row>
            <b-col>Total 3,004 client(s) searched</b-col>
          </b-row>
          <b-row>
            <b-col>
              <b-table
                bordered
                outlined
                small
                :items="items"
                :fields="fields"
                :head-variant="headVariant"
                :table-variant="tableVariant"
                responsive
                style="text-align: center;"
                thClass="demo"
              >
              <template #cell(edit)="data">
                <b-button variant="outline-primary" @click="data.index">Edit</b-button>
              </template>

              </b-table>
            </b-col>
          </b-row>
        </b-col>
      </b-row>
    </b-container>
  </div>
</template>

<script>
export default {
  name: "HelloWorld",
  props: {
    msg: String,
  },
  data() {
    return {
      fields: [{key: "registered_date", label: "Registered Date", thStyle: { fontWeight: 'normal'}},
      {key: "client_name", label: "Client Name", thStyle: { fontWeight: 'normal'}},
      {key: "mobile_phone", label: "Mobile / Phone", thStyle: { fontWeight: 'normal'}},
      {key: "total_sales", label: "Total Sales", thStyle: { fontWeight: 'normal'}},
      {key: "notes", label: "Notes", thStyle: { fontWeight: 'normal'}},
      {key: "edit", label: "Edit", thStyle: { fontWeight: 'normal'}},
      {key: "calendar", label: "Calendar", thStyle: { fontWeight: 'normal'}},
      {key: "sales", label: "Sales", thStyle: { fontWeight: 'normal'}}


      ],
      items: [
        {registered_date: "2022-05-17", client_name: "demo", mobile_phone: "0908117036", total_sales: 0, notes: '0'},
        {registered_date: "2022-05-17", client_name: "demo2", mobile_phone: "0903427221", total_sales: 0, notes: '0'},
        {registered_date: "2022-05-17", client_name: "demo3", mobile_phone: "0903725856", total_sales: 0, notes: '0'}

        // { age: 40, first_name: "Dickerson", last_name: "Macdonald" },
        // { age: 21, first_name: "Larsen", last_name: "Shaw" },
        // { age: 89, first_name: "Geneva", last_name: "Wilson" },
      ],
    };
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
.client-container {
  min-height: 100vh;
  margin: auto;
}
.demo >>> th {
  font-weight: normal;
}
</style>
